import request from '@/utils/request'

// 查询职业薪资列表
export function listMallCareerSalary(query) {
  return request({
    url: '/mall/mallCareerSalary/list',
    method: 'get',
    params: query
  })
}

// 查询职业薪资详细
export function getMallCareerSalary(careerSalaryId) {
  return request({
    url: '/mall/mallCareerSalary/' + careerSalaryId,
    method: 'get'
  })
}

// 新增职业薪资
export function addMallCareerSalary(data) {
  return request({
    url: '/mall/mallCareerSalary',
    method: 'post',
    data: data
  })
}

// 修改职业薪资
export function updateMallCareerSalary(data) {
  return request({
    url: '/mall/mallCareerSalary',
    method: 'put',
    data: data
  })
}

// 删除职业薪资
export function delMallCareerSalary(careerSalaryId) {
  return request({
    url: '/mall/mallCareerSalary/' + careerSalaryId,
    method: 'delete'
  })
}
